> ## Documentation Index
> Fetch the complete documentation index at: https://docs-restapi.wplimit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Waiting List Entry

> Retrieve a specific waiting list entry by ID.

> [!NOTE]
>
> **LatePoint Pro feature.** The waiting list requires LatePoint Pro Features with Waiting List enabled in LatePoint settings. Otherwise this endpoint returns `503` (`feature_not_available` or `feature_disabled`). See [Pro features](https://docs-restapi.wplimit.com/api-reference/events/overview.md#pro-features).

## Path Parameters

**id** `integer` *required*

The ID of the waiting list entry

## Example Request

```bash theme={null}
GET /wp-json/latepoint-api/v1/events/waiting-list/1
Authorization: Bearer YOUR_API_KEY
```

## Response

```json theme={null}
{
  "success": true,
  "data": {
    "id": 1,
    "event_id": 3,
    "customer_id": 40,
    "customer": {
      "id": 40,
      "first_name": "Api",
      "last_name": "Tester",
      "full_name": "Api Tester",
      "email": "api.tester@example.com",
      "phone": ""
    },
    "ticket_type_id": null,
    "ticket_type_name": null,
    "quantity": 1,
    "status": "waiting",
    "status_label": "Waiting",
    "position": 1,
    "invited_at": null,
    "invite_expires_at": null,
    "converted_registration_id": null,
    "converted_order_id": null,
    "created_at": "2026-10-28 16:10:05",
    "updated_at": "2026-10-28 16:10:05"
  }
}
```

See [List Waiting List Entries](https://docs-restapi.wplimit.com/api-reference/events/waiting-list-list.md#response-fields) for the description of every field.

## Error Response

```json theme={null}
{
  "code": "waiting_list_entry_not_found",
  "message": "Waiting list entry not found",
  "data": {
    "status": 404
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.